<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="ro">
<head>
<!-- Generated by javadoc (1.8.0_241) on Wed May 06 12:57:08 EEST 2020 -->
<title>Class Hierarchy</title>
<meta name="date" content="2020-05-06">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Class Hierarchy";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?overview-tree.html" target="_top">Frames</a></li>
<li><a href="overview-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 class="title">Hierarchy For All Packages</h1>
<span class="packageHierarchyLabel">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="BusinessLayer/package-tree.html">BusinessLayer</a>, </li>
<li><a href="DataLayer/package-tree.html">DataLayer</a>, </li>
<li><a href="PresentationLayer/package-tree.html">PresentationLayer</a>, </li>
<li><a href="start/package-tree.html">start</a></li>
</ul>
</div>
<div class="contentContainer">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li type="circle">java.lang.Object
<ul>
<li type="circle">PresentationLayer.<a href="PresentationLayer/AdministratorGUI.html" title="class in PresentationLayer"><span class="typeNameLink">AdministratorGUI</span></a></li>
<li type="circle">BusinessLayer.<a href="BusinessLayer/BaseProduct.html" title="class in BusinessLayer"><span class="typeNameLink">BaseProduct</span></a> (implements BusinessLayer.<a href="BusinessLayer/MenuItem.html" title="interface in BusinessLayer">MenuItem</a>, java.io.Serializable)</li>
<li type="circle">PresentationLayer.<a href="PresentationLayer/ChefGUI.html" title="class in PresentationLayer"><span class="typeNameLink">ChefGUI</span></a> (implements java.util.Observer)</li>
<li type="circle">BusinessLayer.<a href="BusinessLayer/CompositeProduct.html" title="class in BusinessLayer"><span class="typeNameLink">CompositeProduct</span></a> (implements BusinessLayer.<a href="BusinessLayer/MenuItem.html" title="interface in BusinessLayer">MenuItem</a>, java.io.Serializable)</li>
<li type="circle">DataLayer.<a href="DataLayer/FileWriter.html" title="class in DataLayer"><span class="typeNameLink">FileWriter</span></a></li>
<li type="circle">start.<a href="start/MainClass.html" title="class in start"><span class="typeNameLink">MainClass</span></a> (implements java.io.Serializable)</li>
<li type="circle">java.util.Observable
<ul>
<li type="circle">BusinessLayer.<a href="BusinessLayer/Restaurant.html" title="class in BusinessLayer"><span class="typeNameLink">Restaurant</span></a> (implements BusinessLayer.<a href="BusinessLayer/IRestaurantProcessing.html" title="interface in BusinessLayer">IRestaurantProcessing</a>, java.io.Serializable)</li>
</ul>
</li>
<li type="circle">BusinessLayer.<a href="BusinessLayer/Order.html" title="class in BusinessLayer"><span class="typeNameLink">Order</span></a> (implements java.io.Serializable)</li>
<li type="circle">DataLayer.<a href="DataLayer/RestaurantSerializator.html" title="class in DataLayer"><span class="typeNameLink">RestaurantSerializator</span></a> (implements java.io.Serializable)</li>
<li type="circle">PresentationLayer.<a href="PresentationLayer/WaiterGUI.html" title="class in PresentationLayer"><span class="typeNameLink">WaiterGUI</span></a></li>
</ul>
</li>
</ul>
<h2 title="Interface Hierarchy">Interface Hierarchy</h2>
<ul>
<li type="circle">BusinessLayer.<a href="BusinessLayer/IRestaurantProcessing.html" title="interface in BusinessLayer"><span class="typeNameLink">IRestaurantProcessing</span></a></li>
<li type="circle">BusinessLayer.<a href="BusinessLayer/MenuItem.html" title="interface in BusinessLayer"><span class="typeNameLink">MenuItem</span></a></li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?overview-tree.html" target="_top">Frames</a></li>
<li><a href="overview-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
